Bug 1692688 - PUT request for cache refresh fails
Summary: PUT request for cache refresh fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 09:00 UTC by Vatsal Parekh
Modified: 2019-10-22 19:49 UTC (History)
6 users (show)

Fixed In Version: foreman-1.22.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26462 Normal Closed PUT request for cache refresh fails 2020-03-25 15:25:25 UTC

Description Vatsal Parekh 2019-03-26 09:00:50 UTC
Description of problem:
PUT request for a compute resource fails with below error message
```
{
    "message": "Failed to refresh the cache."
}
```

Version-Release number of selected component (if applicable):
latest master

How reproducible:


Steps to Reproduce:
1.Add a compute resource
2.PUT request for cache refresh
3.

Actual results:
Shown error msg

Expected results:
Should work or give proper error if not implemented

Additional info:

Comment 3 Shira Maximov 2019-03-26 12:48:42 UTC
It's not an action that supported in kubevirt compute resource.  you can change this BZ to a documentation bug,  the documentation should show to which compute resource this call is relevant for.

Comment 4 Vatsal Parekh 2019-03-27 06:07:07 UTC
This might not be just doc bug, when doing this cache refresh call, I get the mentioned error msg, but for other actions, for example 
GET https://<foreman>/api/compute_resources/:id/available_storage_domains
I get the following output, which should also come for refresh_cache is it's not implemented
{
    "error": {
        "message": "ERF42-7329 [Foreman::Exception]: Not implemented for KubeVirt"
    }
}

Comment 5 Shira Maximov 2019-03-27 07:25:31 UTC
This issue is relevant for all compute resources.

Comment 6 Shira Maximov 2019-03-27 07:26:31 UTC
Created redmine issue https://projects.theforeman.org/issues/26462 from this bug

Comment 7 Bryan Kearney 2019-03-31 14:00:25 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26462 has been resolved.

Comment 9 Lukáš Hellebrandt 2019-08-07 17:04:36 UTC
Verified with Sat 6.6 snap 11.

Verified that CRs of type Google, RHV and Kubevirt return: "error": {"message":"ERF42-7329 [Foreman::Exception]: Not implemented for <CRtype>"}

Verified that CR of type VMWare returns: "message":"Successfully refreshed the cache."

Comment 10 Bryan Kearney 2019-10-22 19:49:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.